All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.relational
Class ScrollNextColumnPageCommand

    com.sas.commands.relational.ScrollNextColumnPageCommand

All Implemented Interfaces:
  CommandSupportedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class ScrollNextColumnPageCommand

This class implements scrolling forward a page of columns command.

Field Summary

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`ScrollNextColumnPageCommand()` Default constructor
`ScrollNextColumnPageCommand(java.lang.String name)` Constructor that accepts a command name
`ScrollNextColumnPageCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `scrollExecute(java.lang.Object out)` This method is called by the execute() method on the BaseScrollCommand.

Methods inherited from class com.sas.commands.relational.BaseScrollCommand
`execute, getModel, setModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Constructor Detail

### ScrollNextColumnPageCommand

    public ScrollNextColumnPageCommand()

  Default constructor

### ScrollNextColumnPageCommand

    public ScrollNextColumnPageCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - the name of this command

### ScrollNextColumnPageCommand

    public ScrollNextColumnPageCommand(java.lang.String name,
                                       java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

  Parameters:
    `name` - the name of this command
    `actionClass` - the name of the action class for this command

Method Detail

### scrollExecute

    public void scrollExecute(java.lang.Object out)

  This method is called by the execute() method on the BaseScrollCommand. This method performs the scroll operation.

  Overrides:
    `scrollExecute` in class `BaseScrollCommand`
  Parameters:
    `out` - The output stream to which the results of this command should be written.

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument. The implementation on this class always return true. Extensions of this class should override this method if there are conditions where the command may not be available or supported.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Specified by:
    `isSupported` in class `BaseScrollCommand`
  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.
  See Also:
    `BaseAction.setReturnStatus(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.